Storyden
Roles

Role Get

Retreives a role and all its permissions.

GET
/roles/{role_id}

Retreives a role and all its permissions.

Authorization

cookiestoryden-session<token>

Path Parameters

role_id*string

Role ID

Formatxid

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

name*string
colour*string
permissions*array<>
meta?

Arbitrary metadata for the resource.

Example Request
curl -X GET 'https://example.com/api/roles/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "colour": "string",  "permissions": [    "CREATE_POST"  ],  "meta": {}}